vldb_convert(8)

NAME
vldb_convert - Convert the VLDB to/from Transarc AFS versions 3.1-3.4a

SYNOPSIS
vldb_convert [initcmd] << [-to] <AFS version goal >>>
    << [-from] <current AFS version >>>
    << [-path] <path to VLDB file >>> [-showversion]
    [-dumpvldb] [-help]

DESCRIPTION
The vldb_convert command is used to convert legacy Transarc 3.1-3.4 VLDB database files between versions. This command is not needed when using OpenAFS except in the case of preparing to migrate a pre-3.4 version of Transarc AFS to OpenAFS.

In order to convert the VLDB file, do the following:

1.  Shutdown the vlserver process on all server machines. vlserver is typically run only on the Cell servers, which must be listed in CellServDB or DNS.

2.  Backup the VLDB file /usr/afs/db/vldb.DB0 on the sync site to a safe place. Typically, the sync site if the machine with the lowest IP address.

3.  Remove the /usr/afs/db/vldb.DBSYS1 file from all cell server machines.

4.  Remove the /usr/afs/db/vldb.DB0 file from the non-sync site server machines.

5.  Run the vldb_convert command on the VLDB file using the following command:

       # vldb_convert -path /usr/afs/db/vldb.DB0

6.  Copy the new version of the vlserver binaries to all Cell servers.

7.  Restart the vlserver process on all Cell servers. The new VLDB will be distributed to all of the Cell servers.

8.  Confirm that all Cell servers are synchronized and that the vldb looks in good shape.

CAUTIONS
Backup the VLDB file to a different directory or machine before performing the upgrade. Be sure that all vlserver processes are always running the same version. This requires downtime, but for this conversion, all vlserver instances must be at the same version. This restriction is relaxed in OpenAFS.

OPTIONS

[initcmd]
    This is an optional string that does nothing.

[-to] <AFS version goal>
    This option is required when downgrading or when upgrading to a version less than 3.4. Specify 1, 2, 3, or 4 to choose version 3.1, 3.2, 3.3, or 3,4 respectively. This defaults to version 3.4.

[-from] <current AFS version>
    This option is required when downgrading. Specify 1, 2, 3, or 4 to choose version 3.1, 3.2, 3.3, or 3.4 respectively.

[-path] <path to VLDB file>
    Specifies the path the VLDB file. This defaults to /usr/afs/db/vldb.DB0 and only needs to be used if the VLDB file is not in the default path..

-showversion
    Shows the current version of the VLDB. This option can only be used by itself.

-dumpvldb
    Produces verbose debugging output during the conversion process.

-help
    Prints the online help for this command. All other valid options are ignored.

PRIVILEGE REQUIRED
The issuer must have read and write access to the file /usr/afs/db/vldb.DB0. This usually means that root access is required on the cell server machines.

SEE ALSO
the vlserver(8) manpage

COPYRIGHT
Copyright 2008 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.